﻿namespace POKEMON_BW2
{
    using System;
    using System.Reflection;

    public class EvolveData
    {
        private byte[] data = new byte[0x2c];
        public const int ECOUNT = 7;
        public const int SIZE = 0x2c;

        public int GetCode(int index)
        {
            return (this.data[6 * index] + (this.data[(6 * index) + 1] * 0x100));
        }

        public int GetPokemon(int index)
        {
            return (this.data[(6 * index) + 4] + (this.data[(6 * index) + 5] * 0x100));
        }

        public int GetValue(int index)
        {
            return (this.data[(6 * index) + 2] + (this.data[(6 * index) + 3] * 0x100));
        }

        public void SetCode(int index, int value)
        {
            this.data[index * 6] = (byte) (value & 0xff);
            this.data[(index * 6) + 1] = (byte) ((value >> 8) & 0xff);
        }

        public void SetPokemon(int index, int value)
        {
            this.data[(index * 6) + 4] = (byte) (value & 0xff);
            this.data[(index * 6) + 5] = (byte) ((value >> 8) & 0xff);
        }

        public void SetValue(int index, int value)
        {
            this.data[(index * 6) + 2] = (byte) (value & 0xff);
            this.data[(index * 6) + 3] = (byte) ((value >> 8) & 0xff);
        }

        public byte[] Data
        {
            get
            {
                return this.data;
            }
            set
            {
                this.data = value;
            }
        }

        public byte this[int i]
        {
            get
            {
                return this.data[i];
            }
            set
            {
                this.data[i] = value;
            }
        }

        public int Length
        {
            get
            {
                return this.data.Length;
            }
        }
    }
}

