﻿namespace POKEMON_BW2
{
    using System;
    using System.Collections;
    using System.ComponentModel;
    using System.Drawing;
    using System.Windows.Forms;

    public class SkillForm : Form
    {
        private Button cancelButton;
        private IContainer components;
        private GroupBox groupBox1;
        private GroupBox groupBox4;
        private Label label1;
        private Label label10;
        private Label label11;
        private Label label12;
        private Label label13;
        private Label label14;
        private Label label15;
        private Label label16;
        private Label label17;
        private Label label18;
        private Label label19;
        private Label label2;
        private Label label20;
        private Label label21;
        private Label label22;
        private Label label23;
        private Label label24;
        private Label label25;
        private Label label3;
        private Label label4;
        private Label label5;
        private Label label6;
        private Label label7;
        private Label label8;
        private Label label9;
        private SkillData[] mySkill;
        private Button okButton;
        private Button searchButton;
        private ComboBox searchComboBox;
        private TextBox searchTextBox;
        private int selectedValue;
        private ListBox skillListBox;
        private SplitContainer splitContainer1;
        private ComboBox x00_CoB;
        private ComboBox x01_CoB;
        private ComboBox x02_CoB;
        private NumericUpDown x03_NUD;
        private NumericUpDown x04_NUD;
        private NumericUpDown x05_NUD;
        private NumericUpDown x06_NUD;
        private NumericUpDown x07_MAX_NUD;
        private NumericUpDown x07_MIN_NUD;
        private ComboBox x08_CoB;
        private NumericUpDown x0A_NUD;
        private NumericUpDown x0B_NUD;
        private NumericUpDown x0C_NUD;
        private NumericUpDown x0D_NUD;
        private NumericUpDown x0E_NUD;
        private NumericUpDown x0F_NUD;
        private NumericUpDown x10_NUD;
        private NumericUpDown x12_NUD;
        private NumericUpDown x13_NUD;
        private ComboBox x14_CoB;
        private ComboBox x15_CoB;
        private ComboBox x16_CoB;
        private ComboBox x17_CoB;
        private NumericUpDown x18_NUD;
        private NumericUpDown x19_NUD;
        private NumericUpDown x1A_NUD;
        private NumericUpDown x1B_NUD;
        private NumericUpDown x1C_NUD;
        private NumericUpDown x1D_NUD;
        private NumericUpDown x1E_NUD;
        private NumericUpDown x1F_NUD;
        private NumericUpDown x20_NUD;
        private NumericUpDown x21_NUD;

        public SkillForm(SkillData[] skill)
        {
            this.InitializeComponent();
            this.skillListBox.DataSource = (ArrayList) Program.SkillList.GetArrayList().Clone();
            this.skillListBox.DisplayMember = "Name";
            this.skillListBox.ValueMember = "Value";
            this.x00_CoB.DataSource = (ArrayList) Program.TypeList.GetArrayList().Clone();
            this.x00_CoB.DisplayMember = "Name";
            this.x00_CoB.ValueMember = "Value";
            this.x01_CoB.DataSource = (ArrayList) Program.CategoryList.GetArrayList().Clone();
            this.x01_CoB.DisplayMember = "Name";
            this.x01_CoB.ValueMember = "Value";
            this.x02_CoB.DataSource = (ArrayList) Program.AssortList.GetArrayList().Clone();
            this.x02_CoB.DisplayMember = "Name";
            this.x02_CoB.ValueMember = "Value";
            this.x08_CoB.DataSource = (ArrayList) Program.ConditionList.GetArrayList().Clone();
            this.x08_CoB.DisplayMember = "Name";
            this.x08_CoB.ValueMember = "Value";
            this.x14_CoB.DataSource = (ArrayList) Program.TargetList.GetArrayList().Clone();
            this.x14_CoB.DisplayMember = "Name";
            this.x14_CoB.ValueMember = "Value";
            this.x15_CoB.DataSource = (ArrayList) Program.StatusList.GetArrayList().Clone();
            this.x15_CoB.DisplayMember = "Name";
            this.x15_CoB.ValueMember = "Value";
            this.x16_CoB.DataSource = (ArrayList) Program.StatusList.GetArrayList().Clone();
            this.x16_CoB.DisplayMember = "Name";
            this.x16_CoB.ValueMember = "Value";
            this.x17_CoB.DataSource = (ArrayList) Program.StatusList.GetArrayList().Clone();
            this.x17_CoB.DisplayMember = "Name";
            this.x17_CoB.ValueMember = "Value";
            this.mySkill = new SkillData[skill.Length];
            for (int i = 0; i < this.mySkill.Length; i++)
            {
                this.mySkill[i] = new SkillData();
                for (int j = 0; j < 0x24; j++)
                {
                    this.mySkill[i][j] = skill[i][j];
                }
            }
            this.searchComboBox.SelectedIndex = 0;
            this.skillListBox.SelectedIndex = 0;
            this.skillListBox.SelectedIndexChanged += new EventHandler(this.skillListBox_SelectedIndexChanged);
            this.ReadData((int) this.skillListBox.SelectedValue);
            this.selectedValue = (int) this.skillListBox.SelectedValue;
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            base.DialogResult = DialogResult.Cancel;
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing && (this.components != null))
            {
                this.components.Dispose();
            }
            base.Dispose(disposing);
        }

        private void InitializeComponent()
        {
            this.splitContainer1 = new SplitContainer();
            this.skillListBox = new ListBox();
            this.groupBox1 = new GroupBox();
            this.x0B_NUD = new NumericUpDown();
            this.label11 = new Label();
            this.label22 = new Label();
            this.x21_NUD = new NumericUpDown();
            this.x1E_NUD = new NumericUpDown();
            this.label25 = new Label();
            this.label23 = new Label();
            this.x20_NUD = new NumericUpDown();
            this.x1F_NUD = new NumericUpDown();
            this.label24 = new Label();
            this.x1D_NUD = new NumericUpDown();
            this.x1A_NUD = new NumericUpDown();
            this.x17_CoB = new ComboBox();
            this.x1C_NUD = new NumericUpDown();
            this.x19_NUD = new NumericUpDown();
            this.x16_CoB = new ComboBox();
            this.x1B_NUD = new NumericUpDown();
            this.x18_NUD = new NumericUpDown();
            this.x15_CoB = new ComboBox();
            this.label21 = new Label();
            this.label20 = new Label();
            this.label19 = new Label();
            this.x14_CoB = new ComboBox();
            this.label18 = new Label();
            this.x13_NUD = new NumericUpDown();
            this.label17 = new Label();
            this.x12_NUD = new NumericUpDown();
            this.label16 = new Label();
            this.x10_NUD = new NumericUpDown();
            this.label15 = new Label();
            this.x0F_NUD = new NumericUpDown();
            this.label14 = new Label();
            this.x0E_NUD = new NumericUpDown();
            this.label13 = new Label();
            this.x0D_NUD = new NumericUpDown();
            this.x0C_NUD = new NumericUpDown();
            this.label12 = new Label();
            this.x0A_NUD = new NumericUpDown();
            this.label10 = new Label();
            this.x08_CoB = new ComboBox();
            this.label9 = new Label();
            this.x07_MAX_NUD = new NumericUpDown();
            this.x07_MIN_NUD = new NumericUpDown();
            this.label8 = new Label();
            this.x06_NUD = new NumericUpDown();
            this.label7 = new Label();
            this.x05_NUD = new NumericUpDown();
            this.label6 = new Label();
            this.x04_NUD = new NumericUpDown();
            this.label5 = new Label();
            this.x03_NUD = new NumericUpDown();
            this.label4 = new Label();
            this.x02_CoB = new ComboBox();
            this.label3 = new Label();
            this.x01_CoB = new ComboBox();
            this.label2 = new Label();
            this.x00_CoB = new ComboBox();
            this.label1 = new Label();
            this.okButton = new Button();
            this.cancelButton = new Button();
            this.groupBox4 = new GroupBox();
            this.searchButton = new Button();
            this.searchComboBox = new ComboBox();
            this.searchTextBox = new TextBox();
            this.splitContainer1.Panel1.SuspendLayout();
            this.splitContainer1.Panel2.SuspendLayout();
            this.splitContainer1.SuspendLayout();
            this.groupBox1.SuspendLayout();
            this.x0B_NUD.BeginInit();
            this.x21_NUD.BeginInit();
            this.x1E_NUD.BeginInit();
            this.x20_NUD.BeginInit();
            this.x1F_NUD.BeginInit();
            this.x1D_NUD.BeginInit();
            this.x1A_NUD.BeginInit();
            this.x1C_NUD.BeginInit();
            this.x19_NUD.BeginInit();
            this.x1B_NUD.BeginInit();
            this.x18_NUD.BeginInit();
            this.x13_NUD.BeginInit();
            this.x12_NUD.BeginInit();
            this.x10_NUD.BeginInit();
            this.x0F_NUD.BeginInit();
            this.x0E_NUD.BeginInit();
            this.x0D_NUD.BeginInit();
            this.x0C_NUD.BeginInit();
            this.x0A_NUD.BeginInit();
            this.x07_MAX_NUD.BeginInit();
            this.x07_MIN_NUD.BeginInit();
            this.x06_NUD.BeginInit();
            this.x05_NUD.BeginInit();
            this.x04_NUD.BeginInit();
            this.x03_NUD.BeginInit();
            this.groupBox4.SuspendLayout();
            base.SuspendLayout();
            this.splitContainer1.Dock = DockStyle.Top;
            this.splitContainer1.Location = new Point(0, 0);
            this.splitContainer1.Name = "splitContainer1";
            this.splitContainer1.Panel1.Controls.Add(this.groupBox4);
            this.splitContainer1.Panel1.Controls.Add(this.skillListBox);
            this.splitContainer1.Panel2.Controls.Add(this.groupBox1);
            this.splitContainer1.Panel2.Controls.Add(this.x1D_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.x1A_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.x17_CoB);
            this.splitContainer1.Panel2.Controls.Add(this.x1C_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.x19_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.x16_CoB);
            this.splitContainer1.Panel2.Controls.Add(this.x1B_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.x18_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.x15_CoB);
            this.splitContainer1.Panel2.Controls.Add(this.label21);
            this.splitContainer1.Panel2.Controls.Add(this.label20);
            this.splitContainer1.Panel2.Controls.Add(this.label19);
            this.splitContainer1.Panel2.Controls.Add(this.x14_CoB);
            this.splitContainer1.Panel2.Controls.Add(this.label18);
            this.splitContainer1.Panel2.Controls.Add(this.x13_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label17);
            this.splitContainer1.Panel2.Controls.Add(this.x12_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label16);
            this.splitContainer1.Panel2.Controls.Add(this.x10_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label15);
            this.splitContainer1.Panel2.Controls.Add(this.x0F_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label14);
            this.splitContainer1.Panel2.Controls.Add(this.x0E_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label13);
            this.splitContainer1.Panel2.Controls.Add(this.x0D_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.x0C_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label12);
            this.splitContainer1.Panel2.Controls.Add(this.x0A_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label10);
            this.splitContainer1.Panel2.Controls.Add(this.x08_CoB);
            this.splitContainer1.Panel2.Controls.Add(this.label9);
            this.splitContainer1.Panel2.Controls.Add(this.x07_MAX_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.x07_MIN_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label8);
            this.splitContainer1.Panel2.Controls.Add(this.x06_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label7);
            this.splitContainer1.Panel2.Controls.Add(this.x05_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label6);
            this.splitContainer1.Panel2.Controls.Add(this.x04_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label5);
            this.splitContainer1.Panel2.Controls.Add(this.x03_NUD);
            this.splitContainer1.Panel2.Controls.Add(this.label4);
            this.splitContainer1.Panel2.Controls.Add(this.x02_CoB);
            this.splitContainer1.Panel2.Controls.Add(this.label3);
            this.splitContainer1.Panel2.Controls.Add(this.x01_CoB);
            this.splitContainer1.Panel2.Controls.Add(this.label2);
            this.splitContainer1.Panel2.Controls.Add(this.x00_CoB);
            this.splitContainer1.Panel2.Controls.Add(this.label1);
            this.splitContainer1.Size = new Size(0x224, 0x15f);
            this.splitContainer1.SplitterDistance = 0x85;
            this.splitContainer1.TabIndex = 0;
            this.skillListBox.Dock = DockStyle.Top;
            this.skillListBox.FormattingEnabled = true;
            this.skillListBox.ItemHeight = 12;
            this.skillListBox.Location = new Point(0, 0);
            this.skillListBox.Name = "skillListBox";
            this.skillListBox.Size = new Size(0x85, 0x10c);
            this.skillListBox.TabIndex = 0;
            this.groupBox1.Controls.Add(this.x0B_NUD);
            this.groupBox1.Controls.Add(this.label11);
            this.groupBox1.Controls.Add(this.label22);
            this.groupBox1.Controls.Add(this.x21_NUD);
            this.groupBox1.Controls.Add(this.x1E_NUD);
            this.groupBox1.Controls.Add(this.label25);
            this.groupBox1.Controls.Add(this.label23);
            this.groupBox1.Controls.Add(this.x20_NUD);
            this.groupBox1.Controls.Add(this.x1F_NUD);
            this.groupBox1.Controls.Add(this.label24);
            this.groupBox1.Location = new Point(5, 0x11f);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new Size(0xf2, 0x38);
            this.groupBox1.TabIndex = 0x30;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Unknown Bytes";
            this.x0B_NUD.Location = new Point(8, 30);
            int[] bits = new int[4];
            bits[0] = 0xff;
            this.x0B_NUD.Maximum = new decimal(bits);
            this.x0B_NUD.Name = "x0B_NUD";
            this.x0B_NUD.Size = new Size(40, 0x13);
            this.x0B_NUD.TabIndex = 1;
            this.label11.AutoSize = true;
            this.label11.Location = new Point(6, 15);
            this.label11.Name = "label11";
            this.label11.Size = new Size(0x19, 12);
            this.label11.TabIndex = 0;
            this.label11.Text = "$0B";
            this.label22.AutoSize = true;
            this.label22.Location = new Point(0x34, 15);
            this.label22.Name = "label22";
            this.label22.Size = new Size(0x18, 12);
            this.label22.TabIndex = 2;
            this.label22.Text = "$1E";
            this.x21_NUD.Location = new Point(0xc0, 30);
            int[] numArray2 = new int[4];
            numArray2[0] = 0xff;
            this.x21_NUD.Maximum = new decimal(numArray2);
            this.x21_NUD.Name = "x21_NUD";
            this.x21_NUD.Size = new Size(40, 0x13);
            this.x21_NUD.TabIndex = 9;
            this.x1E_NUD.Location = new Point(0x36, 30);
            int[] numArray3 = new int[4];
            numArray3[0] = 0xff;
            this.x1E_NUD.Maximum = new decimal(numArray3);
            this.x1E_NUD.Name = "x1E_NUD";
            this.x1E_NUD.Size = new Size(40, 0x13);
            this.x1E_NUD.TabIndex = 3;
            this.label25.AutoSize = true;
            this.label25.Location = new Point(190, 15);
            this.label25.Name = "label25";
            this.label25.Size = new Size(0x17, 12);
            this.label25.TabIndex = 8;
            this.label25.Text = "$21";
            this.label23.AutoSize = true;
            this.label23.Location = new Point(0x62, 15);
            this.label23.Name = "label23";
            this.label23.Size = new Size(0x18, 12);
            this.label23.TabIndex = 4;
            this.label23.Text = "$1F";
            this.x20_NUD.Location = new Point(0x92, 30);
            int[] numArray4 = new int[4];
            numArray4[0] = 0xff;
            this.x20_NUD.Maximum = new decimal(numArray4);
            this.x20_NUD.Name = "x20_NUD";
            this.x20_NUD.Size = new Size(40, 0x13);
            this.x20_NUD.TabIndex = 7;
            this.x1F_NUD.Location = new Point(100, 30);
            int[] numArray5 = new int[4];
            numArray5[0] = 0xff;
            this.x1F_NUD.Maximum = new decimal(numArray5);
            this.x1F_NUD.Name = "x1F_NUD";
            this.x1F_NUD.Size = new Size(40, 0x13);
            this.x1F_NUD.TabIndex = 5;
            this.label24.AutoSize = true;
            this.label24.Location = new Point(0x90, 15);
            this.label24.Name = "label24";
            this.label24.Size = new Size(0x17, 12);
            this.label24.TabIndex = 6;
            this.label24.Text = "$20";
            this.x1D_NUD.Location = new Point(0x13c, 0xe8);
            this.x1D_NUD.Name = "x1D_NUD";
            this.x1D_NUD.Size = new Size(40, 0x13);
            this.x1D_NUD.TabIndex = 0x2f;
            this.x1A_NUD.Location = new Point(270, 0xe8);
            int[] numArray6 = new int[4];
            numArray6[0] = 6;
            this.x1A_NUD.Maximum = new decimal(numArray6);
            int[] numArray7 = new int[4];
            numArray7[0] = 6;
            numArray7[3] = -2147483648;
            this.x1A_NUD.Minimum = new decimal(numArray7);
            this.x1A_NUD.Name = "x1A_NUD";
            this.x1A_NUD.Size = new Size(40, 0x13);
            this.x1A_NUD.TabIndex = 0x2e;
            this.x17_CoB.DropDownStyle = ComboBoxStyle.DropDownList;
            this.x17_CoB.FormattingEnabled = true;
            this.x17_CoB.Location = new Point(0xb8, 0xe7);
            this.x17_CoB.Name = "x17_CoB";
            this.x17_CoB.Size = new Size(80, 20);
            this.x17_CoB.TabIndex = 0x2d;
            this.x1C_NUD.Location = new Point(0x13c, 0xce);
            this.x1C_NUD.Name = "x1C_NUD";
            this.x1C_NUD.Size = new Size(40, 0x13);
            this.x1C_NUD.TabIndex = 0x2c;
            this.x19_NUD.Location = new Point(270, 0xce);
            int[] numArray8 = new int[4];
            numArray8[0] = 6;
            this.x19_NUD.Maximum = new decimal(numArray8);
            int[] numArray9 = new int[4];
            numArray9[0] = 6;
            numArray9[3] = -2147483648;
            this.x19_NUD.Minimum = new decimal(numArray9);
            this.x19_NUD.Name = "x19_NUD";
            this.x19_NUD.Size = new Size(40, 0x13);
            this.x19_NUD.TabIndex = 0x2b;
            this.x16_CoB.DropDownStyle = ComboBoxStyle.DropDownList;
            this.x16_CoB.FormattingEnabled = true;
            this.x16_CoB.Location = new Point(0xb8, 0xcd);
            this.x16_CoB.Name = "x16_CoB";
            this.x16_CoB.Size = new Size(80, 20);
            this.x16_CoB.TabIndex = 0x2a;
            this.x1B_NUD.Location = new Point(0x13c, 180);
            this.x1B_NUD.Name = "x1B_NUD";
            this.x1B_NUD.Size = new Size(40, 0x13);
            this.x1B_NUD.TabIndex = 0x29;
            this.x18_NUD.Location = new Point(270, 180);
            int[] numArray10 = new int[4];
            numArray10[0] = 6;
            this.x18_NUD.Maximum = new decimal(numArray10);
            int[] numArray11 = new int[4];
            numArray11[0] = 6;
            numArray11[3] = -2147483648;
            this.x18_NUD.Minimum = new decimal(numArray11);
            this.x18_NUD.Name = "x18_NUD";
            this.x18_NUD.Size = new Size(40, 0x13);
            this.x18_NUD.TabIndex = 40;
            this.x15_CoB.DropDownStyle = ComboBoxStyle.DropDownList;
            this.x15_CoB.FormattingEnabled = true;
            this.x15_CoB.Location = new Point(0xb8, 0xb3);
            this.x15_CoB.Name = "x15_CoB";
            this.x15_CoB.Size = new Size(80, 20);
            this.x15_CoB.TabIndex = 0x27;
            this.label21.AutoSize = true;
            this.label21.Location = new Point(0x13a, 0xa4);
            this.label21.Name = "label21";
            this.label21.Size = new Size(0x1d, 12);
            this.label21.TabIndex = 0x26;
            this.label21.Text = "% Chance";
            this.label20.AutoSize = true;
            this.label20.Location = new Point(0x10c, 0xa4);
            this.label20.Name = "label20";
            this.label20.Size = new Size(0x29, 12);
            this.label20.TabIndex = 0x25;
            this.label20.Text = "Stages";
            this.label19.AutoSize = true;
            this.label19.Location = new Point(0xb6, 0xa4);
            this.label19.Name = "label19";
            this.label19.Size = new Size(0x1d, 12);
            this.label19.TabIndex = 0x24;
            this.label19.Text = "Stat";
            this.x14_CoB.DropDownStyle = ComboBoxStyle.DropDownList;
            this.x14_CoB.FormattingEnabled = true;
            this.x14_CoB.Location = new Point(0xf1, 0x56);
            this.x14_CoB.Name = "x14_CoB";
            this.x14_CoB.Size = new Size(0x9e, 20);
            this.x14_CoB.TabIndex = 0x1f;
            this.label18.AutoSize = true;
            this.label18.Location = new Point(0xb6, 0x59);
            this.label18.Name = "label18";
            this.label18.Size = new Size(0x1d, 12);
            this.label18.TabIndex = 30;
            this.label18.Text = "Targeting";
            this.x13_NUD.Location = new Point(90, 0x106);
            int[] numArray12 = new int[4];
            numArray12[0] = 100;
            numArray12[3] = -2147483648;
            this.x13_NUD.Minimum = new decimal(numArray12);
            this.x13_NUD.Name = "x13_NUD";
            this.x13_NUD.Size = new Size(50, 0x13);
            this.x13_NUD.TabIndex = 0x17;
            this.label17.AutoSize = true;
            this.label17.Location = new Point(3, 0x108);
            this.label17.Name = "label17";
            this.label17.Size = new Size(0x4f, 12);
            this.label17.TabIndex = 0x16;
            this.label17.Text = "Quantity";
            this.x12_NUD.Location = new Point(90, 0xed);
            int[] numArray13 = new int[4];
            numArray13[0] = 100;
            numArray13[3] = -2147483648;
            this.x12_NUD.Minimum = new decimal(numArray13);
            this.x12_NUD.Name = "x12_NUD";
            this.x12_NUD.Size = new Size(50, 0x13);
            this.x12_NUD.TabIndex = 0x15;
            this.label16.AutoSize = true;
            this.label16.Location = new Point(3, 0xef);
            this.label16.Name = "label16";
            this.label16.Size = new Size(0x51, 12);
            this.label16.TabIndex = 20;
            this.label16.Text = "DMG Heal %";
            this.x10_NUD.Location = new Point(90, 0xd4);
            int[] numArray14 = new int[4];
            numArray14[0] = 0x181;
            this.x10_NUD.Maximum = new decimal(numArray14);
            this.x10_NUD.Name = "x10_NUD";
            this.x10_NUD.Size = new Size(40, 0x13);
            this.x10_NUD.TabIndex = 0x13;
            this.label15.AutoSize = true;
            this.label15.Location = new Point(3, 0xd6);
            this.label15.Name = "label15";
            this.label15.Size = new Size(0x38, 12);
            this.label15.TabIndex = 0x12;
            this.label15.Text = "Effect Code";
            this.x0F_NUD.Location = new Point(90, 0xbb);
            this.x0F_NUD.Name = "x0F_NUD";
            this.x0F_NUD.Size = new Size(40, 0x13);
            this.x0F_NUD.TabIndex = 0x11;
            this.label14.AutoSize = true;
            this.label14.Location = new Point(3, 0xbd);
            this.label14.Name = "label14";
            this.label14.Size = new Size(0x2f, 12);
            this.label14.TabIndex = 0x10;
            this.label14.Text = "Flinch %";
            this.x0E_NUD.Location = new Point(90, 0xa2);
            int[] numArray15 = new int[4];
            numArray15[0] = 6;
            this.x0E_NUD.Maximum = new decimal(numArray15);
            this.x0E_NUD.Name = "x0E_NUD";
            this.x0E_NUD.Size = new Size(40, 0x13);
            this.x0E_NUD.TabIndex = 15;
            this.label13.AutoSize = true;
            this.label13.Location = new Point(3, 0xa4);
            this.label13.Name = "label13";
            this.label13.Size = new Size(0x29, 12);
            this.label13.TabIndex = 14;
            this.label13.Text = "+Crit Stage";
            this.x0D_NUD.Location = new Point(0x88, 0x89);
            int[] numArray16 = new int[4];
            numArray16[0] = 15;
            this.x0D_NUD.Maximum = new decimal(numArray16);
            this.x0D_NUD.Name = "x0D_NUD";
            this.x0D_NUD.Size = new Size(40, 0x13);
            this.x0D_NUD.TabIndex = 13;
            this.x0C_NUD.Location = new Point(90, 0x89);
            int[] numArray17 = new int[4];
            numArray17[0] = 15;
            this.x0C_NUD.Maximum = new decimal(numArray17);
            this.x0C_NUD.Name = "x0C_NUD";
            this.x0C_NUD.Size = new Size(40, 0x13);
            this.x0C_NUD.TabIndex = 12;
            this.label12.AutoSize = true;
            this.label12.Location = new Point(3, 0x8b);
            this.label12.Name = "label12";
            this.label12.Size = new Size(0x2c, 12);
            this.label12.TabIndex = 11;
            this.label12.Text = "Trap Turns";
            this.x0A_NUD.Location = new Point(0xf1, 0x89);
            this.x0A_NUD.Name = "x0A_NUD";
            this.x0A_NUD.Size = new Size(40, 0x13);
            this.x0A_NUD.TabIndex = 0x23;
            this.label10.AutoSize = true;
            this.label10.Location = new Point(0xb6, 0x8b);
            this.label10.Name = "label10";
            this.label10.Size = new Size(0x35, 12);
            this.label10.TabIndex = 0x22;
            this.label10.Text = "Inflict %";
            this.x08_CoB.DropDownStyle = ComboBoxStyle.DropDownList;
            this.x08_CoB.FormattingEnabled = true;
            this.x08_CoB.Location = new Point(0xf1, 0x6f);
            this.x08_CoB.Name = "x08_CoB";
            this.x08_CoB.Size = new Size(0x79, 20);
            this.x08_CoB.TabIndex = 0x21;
            this.label9.AutoSize = true;
            this.label9.Location = new Point(0xb6, 0x72);
            this.label9.Name = "label9";
            this.label9.Size = new Size(0x35, 12);
            this.label9.TabIndex = 0x20;
            this.label9.Text = "Inflict";
            this.x07_MAX_NUD.Location = new Point(0x88, 0x70);
            int[] numArray18 = new int[4];
            numArray18[0] = 15;
            this.x07_MAX_NUD.Maximum = new decimal(numArray18);
            this.x07_MAX_NUD.Name = "x07_MAX_NUD";
            this.x07_MAX_NUD.Size = new Size(40, 0x13);
            this.x07_MAX_NUD.TabIndex = 10;
            this.x07_MIN_NUD.Location = new Point(90, 0x70);
            int[] numArray19 = new int[4];
            numArray19[0] = 15;
            this.x07_MIN_NUD.Maximum = new decimal(numArray19);
            this.x07_MIN_NUD.Name = "x07_MIN_NUD";
            this.x07_MIN_NUD.Size = new Size(40, 0x13);
            this.x07_MIN_NUD.TabIndex = 9;
            this.label8.AutoSize = true;
            this.label8.Location = new Point(3, 0x72);
            this.label8.Name = "label8";
            this.label8.Size = new Size(0x35, 12);
            this.label8.TabIndex = 8;
            this.label8.Text = "Multihit";
            this.x06_NUD.Location = new Point(90, 0x57);
            int[] numArray20 = new int[4];
            numArray20[0] = 5;
            this.x06_NUD.Maximum = new decimal(numArray20);
            int[] numArray21 = new int[4];
            numArray21[0] = 7;
            numArray21[3] = -2147483648;
            this.x06_NUD.Minimum = new decimal(numArray21);
            this.x06_NUD.Name = "x06_NUD";
            this.x06_NUD.Size = new Size(40, 0x13);
            this.x06_NUD.TabIndex = 7;
            this.label7.AutoSize = true;
            this.label7.Location = new Point(3, 0x59);
            this.label7.Name = "label7";
            this.label7.Size = new Size(0x29, 12);
            this.label7.TabIndex = 6;
            this.label7.Text = "Priority";
            this.x05_NUD.Location = new Point(90, 0x3e);
            int[] numArray22 = new int[4];
            numArray22[0] = 40;
            this.x05_NUD.Maximum = new decimal(numArray22);
            this.x05_NUD.Name = "x05_NUD";
            this.x05_NUD.Size = new Size(40, 0x13);
            this.x05_NUD.TabIndex = 5;
            this.label6.AutoSize = true;
            this.label6.Location = new Point(3, 0x40);
            this.label6.Name = "label6";
            this.label6.Size = new Size(0x13, 12);
            this.label6.TabIndex = 4;
            this.label6.Text = "PP";
            this.x04_NUD.Location = new Point(90, 0x25);
            int[] numArray23 = new int[4];
            numArray23[0] = 0x65;
            this.x04_NUD.Maximum = new decimal(numArray23);
            this.x04_NUD.Name = "x04_NUD";
            this.x04_NUD.Size = new Size(40, 0x13);
            this.x04_NUD.TabIndex = 3;
            this.label5.AutoSize = true;
            this.label5.Location = new Point(3, 0x27);
            this.label5.Name = "label5";
            this.label5.Size = new Size(0x1d, 12);
            this.label5.TabIndex = 2;
            this.label5.Text = "Accuracy";
            this.x03_NUD.Location = new Point(90, 12);
            int[] numArray24 = new int[4];
            numArray24[0] = 0xff;
            this.x03_NUD.Maximum = new decimal(numArray24);
            this.x03_NUD.Name = "x03_NUD";
            this.x03_NUD.Size = new Size(40, 0x13);
            this.x03_NUD.TabIndex = 1;
            this.label4.AutoSize = true;
            this.label4.Location = new Point(3, 14);
            this.label4.Name = "label4";
            this.label4.Size = new Size(0x1d, 12);
            this.label4.TabIndex = 0;
            this.label4.Text = "Base Power";
            this.x02_CoB.DropDownStyle = ComboBoxStyle.DropDownList;
            this.x02_CoB.FormattingEnabled = true;
            this.x02_CoB.Location = new Point(0xf1, 0x3d);
            this.x02_CoB.Name = "x02_CoB";
            this.x02_CoB.Size = new Size(0x9e, 20);
            this.x02_CoB.TabIndex = 0x1d;
            this.label3.AutoSize = true;
            this.label3.Location = new Point(0xb6, 0x40);
            this.label3.Name = "label3";
            this.label3.Size = new Size(0x1d, 12);
            this.label3.TabIndex = 0x1c;
            this.label3.Text = "Class";
            this.x01_CoB.DropDownStyle = ComboBoxStyle.DropDownList;
            this.x01_CoB.FormattingEnabled = true;
            this.x01_CoB.Location = new Point(0xf1, 0x24);
            this.x01_CoB.Name = "x01_CoB";
            this.x01_CoB.Size = new Size(0x9e, 20);
            this.x01_CoB.TabIndex = 0x1b;
            this.label2.AutoSize = true;
            this.label2.Location = new Point(0xb6, 0x27);
            this.label2.Name = "label2";
            this.label2.Size = new Size(0x1d, 12);
            this.label2.TabIndex = 0x1a;
            this.label2.Text = "Category";
            this.x00_CoB.DropDownStyle = ComboBoxStyle.DropDownList;
            this.x00_CoB.FormattingEnabled = true;
            this.x00_CoB.Location = new Point(0xf1, 11);
            this.x00_CoB.Name = "x00_CoB";
            this.x00_CoB.Size = new Size(0x9e, 20);
            this.x00_CoB.TabIndex = 0x19;
            this.label1.AutoSize = true;
            this.label1.Location = new Point(0xb6, 14);
            this.label1.Name = "label1";
            this.label1.Size = new Size(0x9e, 12);
            this.label1.TabIndex = 0x18;
            this.label1.Text = "Type";
            this.okButton.Anchor = AnchorStyles.Right | AnchorStyles.Bottom;
            this.okButton.Location = new Point(380, 0x165);
            this.okButton.Name = "okButton";
            this.okButton.Size = new Size(0x4b, 0x17);
            this.okButton.TabIndex = 1;
            this.okButton.Text = "OK";
            this.okButton.UseVisualStyleBackColor = true;
            this.okButton.Click += new EventHandler(this.okButton_Click);
            this.cancelButton.Anchor = AnchorStyles.Right | AnchorStyles.Bottom;
            this.cancelButton.DialogResult = DialogResult.Cancel;
            this.cancelButton.Location = new Point(0x1cd, 0x165);
            this.cancelButton.Name = "cancelButton";
            this.cancelButton.Size = new Size(0x4b, 0x17);
            this.cancelButton.TabIndex = 2;
            this.cancelButton.Text = "Cancel";
            this.cancelButton.UseVisualStyleBackColor = true;
            this.cancelButton.Click += new EventHandler(this.cancelButton_Click);
            this.groupBox4.Controls.Add(this.searchButton);
            this.groupBox4.Controls.Add(this.searchComboBox);
            this.groupBox4.Controls.Add(this.searchTextBox);
            this.groupBox4.Dock = DockStyle.Bottom;
            this.groupBox4.Location = new Point(0, 0x110);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new Size(0x85, 0x4f);
            this.groupBox4.TabIndex = 5;
            this.groupBox4.TabStop = false;
            this.groupBox4.Text = "Filter";
            this.searchButton.Location = new Point(6, 0x2c);
            this.searchButton.Name = "searchButton";
            this.searchButton.Size = new Size(0x7c, 0x17);
            this.searchButton.TabIndex = 2;
            this.searchButton.Text = "Search";
            this.searchButton.UseVisualStyleBackColor = true;
            this.searchButton.Click += new EventHandler(this.searchButton_Click);
            this.searchComboBox.DropDownStyle = ComboBoxStyle.DropDownList;
            this.searchComboBox.FormattingEnabled = true;
            this.searchComboBox.Items.AddRange(new object[] { "Begins with", "Includes", "Ends with" });
            this.searchComboBox.Location = new Point(0x37, 0x11);
            this.searchComboBox.Name = "searchComboBox";
            this.searchComboBox.Size = new Size(0x4b, 20);
            this.searchComboBox.TabIndex = 1;
            this.searchTextBox.Location = new Point(6, 0x12);
            this.searchTextBox.Name = "searchTextBox";
            this.searchTextBox.Size = new Size(0x2b, 0x13);
            this.searchTextBox.TabIndex = 0;
            base.AutoScaleDimensions = new SizeF(6f, 12f);
            base.AutoScaleMode = AutoScaleMode.Font;
            base.ClientSize = new Size(0x224, 0x188);
            base.Controls.Add(this.cancelButton);
            base.Controls.Add(this.okButton);
            base.Controls.Add(this.splitContainer1);
            base.FormBorderStyle = FormBorderStyle.FixedSingle;
            base.MaximizeBox = false;
            base.Name = "SkillForm";
            base.StartPosition = FormStartPosition.CenterParent;
            this.Text = "Move Editor";
            this.splitContainer1.Panel1.ResumeLayout(false);
            this.splitContainer1.Panel2.ResumeLayout(false);
            this.splitContainer1.Panel2.PerformLayout();
            this.splitContainer1.ResumeLayout(false);
            this.groupBox1.ResumeLayout(false);
            this.groupBox1.PerformLayout();
            this.x0B_NUD.EndInit();
            this.x21_NUD.EndInit();
            this.x1E_NUD.EndInit();
            this.x20_NUD.EndInit();
            this.x1F_NUD.EndInit();
            this.x1D_NUD.EndInit();
            this.x1A_NUD.EndInit();
            this.x1C_NUD.EndInit();
            this.x19_NUD.EndInit();
            this.x1B_NUD.EndInit();
            this.x18_NUD.EndInit();
            this.x13_NUD.EndInit();
            this.x12_NUD.EndInit();
            this.x10_NUD.EndInit();
            this.x0F_NUD.EndInit();
            this.x0E_NUD.EndInit();
            this.x0D_NUD.EndInit();
            this.x0C_NUD.EndInit();
            this.x0A_NUD.EndInit();
            this.x07_MAX_NUD.EndInit();
            this.x07_MIN_NUD.EndInit();
            this.x06_NUD.EndInit();
            this.x05_NUD.EndInit();
            this.x04_NUD.EndInit();
            this.x03_NUD.EndInit();
            this.groupBox4.ResumeLayout(false);
            this.groupBox4.PerformLayout();
            base.ResumeLayout(false);
        }

        private void okButton_Click(object sender, EventArgs e)
        {
            this.WriteData(this.selectedValue);
            base.DialogResult = DialogResult.OK;
        }

        private void ReadData(int index)
        {
            this.x00_CoB.SelectedValue = this.mySkill[index].Type;
            this.x01_CoB.SelectedValue = this.mySkill[index].Category;
            this.x02_CoB.SelectedValue = this.mySkill[index].Assort;
            this.x03_NUD.Value = this.mySkill[index].Power;
            this.x04_NUD.Value = this.mySkill[index].Hit;
            this.x05_NUD.Value = this.mySkill[index].PP;
            this.x06_NUD.Value = this.mySkill[index].Priority;
            this.x07_MIN_NUD.Value = this.mySkill[index].MinRepeat;
            this.x07_MAX_NUD.Value = this.mySkill[index].MaxRepeat;
            this.x08_CoB.SelectedValue = this.mySkill[index].ConditionCode;
            this.x0A_NUD.Value = this.mySkill[index].ConditionProbability;
            this.x0B_NUD.Value = this.mySkill[index].Unkown0B;
            this.x0C_NUD.Value = this.mySkill[index].MinTurn;
            this.x0D_NUD.Value = this.mySkill[index].MaxTurn;
            this.x0E_NUD.Value = this.mySkill[index].Fatal;
            this.x0F_NUD.Value = this.mySkill[index].Wince;
            this.x10_NUD.Value = this.mySkill[index].EffectCode;
            this.x12_NUD.Value = this.mySkill[index].FluctuationByDamage;
            this.x13_NUD.Value = this.mySkill[index].FluctuationByHP;
            this.x14_CoB.SelectedValue = this.mySkill[index].Target;
            this.x15_CoB.SelectedValue = this.mySkill[index].GetFluctuationStatus(0);
            this.x16_CoB.SelectedValue = this.mySkill[index].GetFluctuationStatus(1);
            this.x17_CoB.SelectedValue = this.mySkill[index].GetFluctuationStatus(2);
            this.x18_NUD.Value = this.mySkill[index].GetFluctuationValue(0);
            this.x19_NUD.Value = this.mySkill[index].GetFluctuationValue(1);
            this.x1A_NUD.Value = this.mySkill[index].GetFluctuationValue(2);
            this.x1B_NUD.Value = this.mySkill[index].GetFluctuationProbability(0);
            this.x1C_NUD.Value = this.mySkill[index].GetFluctuationProbability(1);
            this.x1D_NUD.Value = this.mySkill[index].GetFluctuationProbability(2);
            this.x1E_NUD.Value = this.mySkill[index].Unkown1E;
            this.x1F_NUD.Value = this.mySkill[index].Unkown1F;
            this.x20_NUD.Value = this.mySkill[index].Unkown20;
            this.x21_NUD.Value = this.mySkill[index].Unkown21;
        }

        private void searchButton_Click(object sender, EventArgs e)
        {
            ArrayList list = (ArrayList) Program.SkillList.GetArrayList().Clone();
            if (this.searchTextBox.Text == string.Empty)
            {
                this.skillListBox.DataSource = list;
            }
            else
            {
                ArrayList list2 = new ArrayList();
                if (this.searchComboBox.SelectedIndex == 0)
                {
                    for (int i = 0; i < list.Count; i++)
                    {
                        if (((SelectBoxItem) list[i]).Name.StartsWith(this.searchTextBox.Text))
                        {
                            list2.Add(list[i]);
                        }
                    }
                }
                else if (this.searchComboBox.SelectedIndex == 1)
                {
                    for (int j = 0; j < list.Count; j++)
                    {
                        if (((SelectBoxItem) list[j]).Name.IndexOf(this.searchTextBox.Text) != -1)
                        {
                            list2.Add(list[j]);
                        }
                    }
                }
                else
                {
                    for (int k = 0; k < list.Count; k++)
                    {
                        if (((SelectBoxItem) list[k]).Name.EndsWith(this.searchTextBox.Text))
                        {
                            list2.Add(list[k]);
                        }
                    }
                }
                this.skillListBox.DataSource = list2;
                this.skillListBox.Select();
            }
        }

        private void skillListBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (this.skillListBox.SelectedIndex < 0)
            {
                this.skillListBox.SelectedIndex = 0;
            }
            else if (this.skillListBox.SelectedIndex >= this.skillListBox.Items.Count)
            {
                this.skillListBox.SelectedIndex = this.skillListBox.Items.Count - 1;
            }
            this.WriteData(this.selectedValue);
            this.ReadData((int) this.skillListBox.SelectedValue);
            this.selectedValue = (int) this.skillListBox.SelectedValue;
        }

        private void WriteData(int index)
        {
            this.mySkill[index].Type = (int) this.x00_CoB.SelectedValue;
            this.mySkill[index].Category = (int) this.x01_CoB.SelectedValue;
            this.mySkill[index].Assort = (int) this.x02_CoB.SelectedValue;
            this.mySkill[index].Power = (int) this.x03_NUD.Value;
            this.mySkill[index].Hit = (int) this.x04_NUD.Value;
            this.mySkill[index].PP = (int) this.x05_NUD.Value;
            this.mySkill[index].Priority = (int) this.x06_NUD.Value;
            this.mySkill[index].MinRepeat = (int) this.x07_MIN_NUD.Value;
            this.mySkill[index].MaxRepeat = (int) this.x07_MAX_NUD.Value;
            this.mySkill[index].ConditionCode = (int) this.x08_CoB.SelectedValue;
            this.mySkill[index].ConditionProbability = (int) this.x0A_NUD.Value;
            this.mySkill[index].Unkown0B = (int) this.x0B_NUD.Value;
            this.mySkill[index].MinTurn = (int) this.x0C_NUD.Value;
            this.mySkill[index].MaxTurn = (int) this.x0D_NUD.Value;
            this.mySkill[index].Fatal = (int) this.x0E_NUD.Value;
            this.mySkill[index].Wince = (int) this.x0F_NUD.Value;
            this.mySkill[index].EffectCode = (int) this.x10_NUD.Value;
            this.mySkill[index].FluctuationByDamage = (int) this.x12_NUD.Value;
            this.mySkill[index].FluctuationByHP = (int) this.x13_NUD.Value;
            this.mySkill[index].Target = (int) this.x14_CoB.SelectedValue;
            this.mySkill[index].SetFluctuationStatus(0, (int) this.x15_CoB.SelectedValue);
            this.mySkill[index].SetFluctuationStatus(1, (int) this.x16_CoB.SelectedValue);
            this.mySkill[index].SetFluctuationStatus(2, (int) this.x17_CoB.SelectedValue);
            this.mySkill[index].SetFluctuationValue(0, (int) this.x18_NUD.Value);
            this.mySkill[index].SetFluctuationValue(1, (int) this.x19_NUD.Value);
            this.mySkill[index].SetFluctuationValue(2, (int) this.x1A_NUD.Value);
            this.mySkill[index].SetFluctuationProbability(0, (int) this.x1B_NUD.Value);
            this.mySkill[index].SetFluctuationProbability(1, (int) this.x1C_NUD.Value);
            this.mySkill[index].SetFluctuationProbability(2, (int) this.x1D_NUD.Value);
            this.mySkill[index].Unkown1E = (int) this.x1E_NUD.Value;
            this.mySkill[index].Unkown1F = (int) this.x1F_NUD.Value;
            this.mySkill[index].Unkown20 = (int) this.x20_NUD.Value;
            this.mySkill[index].Unkown21 = (int) this.x21_NUD.Value;
        }

        public SkillData[] Skill
        {
            get
            {
                return this.mySkill;
            }
        }
    }
}

